#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'lelang_doc.persyaratan_kualifikasi'}
#{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'lelang_doc.home'}</a></li>
    <li><a href="@{lelang.LelangCtr.view(lelang.lls_id)}">&{'lelang_doc.info_tender'}</a></li>
    <li class="active">Persyaratan Kualifikasi</li>
</ol>
<div class="content">
    <div class="bs-callout bs-callout-warning">
		&{'lelang_doc.petunjuk'}<br />
        <ol>
            <li>&{'lelang_doc.petunjuk_1'}</li>
            <li>U&{'lelang_doc.petunjuk_2'} &{'lelang_doc.pd_masing_syarat'}</li>
        </ol>
    </div>
    #{alert /}
	#{form @lelang.AdendumCtr.ldkSubmitBaru(lelang?.lls_id), id:'form-dok-lelang', 'data-alert':'true'}
		#{include 'lelang/dokumen/form-ldk-adendum-baru-admin.html'/}
    	#{include 'lelang/dokumen/form-ldk-adendum-baru-teknis.html'/}
    	#{include 'lelang/dokumen/form-ldk-adendum-baru-keuangan.html'/}
    
    		#{if editable} #{saveButton /} #{/if}
		<a href="@{lelang.LelangCtr.view(lelang.lls_id)}" class="btn btn-default btn-sm"><i class="fa fa-arrow-circle-left fa-fw"></i> &{'lelang_doc.kembali'}</a>
	#{/form}
</div>

#{set 'custom_script'}
	<script type="text/javascript" src="#{assets '/js/input-number.js'/}"></script>
	<script type="text/javascript">
		jQuery(document).ready(function () {
            jQuery('.number-only').onChangeNumberOnly();
            $('.ex-form-number').each(function(){
	            if($(this).val()==""){
	                $(this).val('1');   
	            }
	         });
	         $('.ex-form-number-tahun').each(function(){
	             if($(this).val()==""){
		                 $(this).val('4');   
	             }
	         });
	         $('.dialog-input').each(function(){
	             var id = $(this).attr("refid");
	             var input = $("#" + id).val(); 
	             if (input=="")
	                $(this).html("<b> ... </b>");
	             else
                	 $(this).html("<b> "+input+" </b>");
	        });
        });
		var idx = 1
		$(".addTr").on("click", function () {
			var key = $(this).attr("tbl-id")
			var element = $("#" + key + "_tr")
			var elementClone  = element.clone()
			var id = key + "_tr" + idx
			var btn = '<td><a href="javascript:void(0)" class="btn btn-delete-row" id-tr="'+ id +'"><i class="fa fa-trash-o fa-lg"></i></a></td>'
			elementClone.appendTo($("#" + key)).removeAttr("style").attr("id", id).removeAttr("class")
            $("#" + id).append(btn)
			idx++;
		});

		$(document).on("click", ".btn-delete-row", function () {
            var id = $(this).attr("id-tr");
            $("#" + id).remove();
		});
	
		$(document).on("change", ".form-number", function () {
			if ($(this).val() == 0) {
				alert("Pengalaman pekerjaan harus diisi dengan angka minimal 1.");
				$(this).val('1'); $(this).focus();
			} else {
				$(this).val($(this).val().replace(/^0+/, ''));
			}
		});
		
        $("form").submit(function () {
            $(".tr-template").remove()
        });
	</script>
	<script type="text/javascript">
	    function validate(evt) {
	        var theEvent = evt || window.event;
	
	        // Handle paste
	        if (theEvent.type === 'paste') {
	            key = event.clipboardData.getData('text/plain');
	        } else {
	            // Handle key press
	            var key = theEvent.keyCode || theEvent.which;
	            key = String.fromCharCode(key);
	        }
	        var regex = /[0-9]/;
	        if( !regex.test(key) ) {
	            theEvent.returnValue = false;
	            if(theEvent.preventDefault) theEvent.preventDefault();
	        }
	    }
	</script>	
#{/set}
